﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using Acme;

namespace WinForm_App
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // create the model
            IMouseModel Model = new MightyMouse("Mr. Mighty Mouse");
            // create the view as a user control
            MouseView View = new MouseView();
            // create a form to hold the view and add the control
            Form form = new Form1();
            form.Controls.Add(View);
            // create the controller
            IMouseControl Controller = new MouseController(View, Model);
            
            // run the app
            Application.Run(form);
        }
    }
}
