﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Acme
{
    public delegate void ModelUpdateDelegate(IMouseModel mousemodel);

    public interface IMouseModel
    {
        string Name { get; set; }
        string HairColor { get; }
        string Status { get; }
        int MaxFeed { get; }
        int TotalFoodEaten { get; }
        void Feed(int amount);
        void UpdateListeners();
        event ModelUpdateDelegate ModelUpdated;
    }


}
